use strict;
use warnings;

use Module::Build;

Module::Build->new(
    module_name       => 'CGI::Enurl',
    license           => 'perl',
    dist_abstract     => 'Encode strings, arrays and hashes so that they may be appended to URLs as queries',
    dist_author       => 'Jan Krynicky (Jenda@Krynicky.cz)',
    dist_version_from => 'lib/Enurl.pm',
    requires          => {
    },
    build_requires => {
    },
    recommends => {
    },
    create_makefile_pl   => 'traditional',
    recursive_test_files => 1,
    add_to_cleanup       => [ qw(
        META.yml *.bak *.gz Makefile.PL
    ) ],
)->create_build_script();